import { Meta, Story, ArgsTable, Canvas } from '@storybook/addon-docs/blocks';
import { IconGallery } from "storybook-icon-gallery";

import Image, { ImageBase } from './Image';

<Meta title="Design/Data Display/Image" component={Image} />

export const renderItem  = (name, props) => (
  <IconGallery.Item
    name={name}
    key={name}
  >
    <div style={{background: 'darkblue'}}>
      <Image name={name} {...props}/>
    </div>
  </IconGallery.Item>
);

# Image
Example of Image:
<Canvas>
  <Story name="example">
    <div style={{background: 'darkblue'}}>
      <Image name={Image.ASSETS.CHECK}/>
    </div>
  </Story>
</Canvas>

Example of Image double color:

<Canvas>
  <Story name="example-colors">
    <div style={{background: 'darkblue'}}>
      <Image
        name={Image.ASSETS.SUN}
        primaryColor="#BF7703"
        secondaryColor="#F2E6D3"
      />
    </div>
  </Story>
</Canvas>

Example only primaryColor filled :

<Canvas>
  <Story name="example-primaryColor">
    <div style={{background: 'darkblue'}}>
      <Image
        name={Image.ASSETS.ARROW_RIGHT}
        primaryColor="#BF7703"
      />
    </div>
  </Story>
</Canvas>

All examples of imported no color:
<Canvas>
  <Story name="gallery">
    <IconGallery
      getCopyValue={
        ({ name }) =>  `<Image name={ASSET_ASSETS.${name}} />`
      }
    >
      {
        Object.keys(Image.ASSETS).map(item =>
          renderItem(item)
        )
      }
    </IconGallery>
  </Story>
</Canvas>

All examples of imported with color:
<Canvas>
  <Story name="gallery-color">
    <IconGallery
      getCopyValue={
        ({ name }) =>  `<Image name={ASSET_ASSETS.${name}} primaryColor="#BF7703" secondaryColor="#F2E6D3" />`
      }
    >
      {
        Object.keys(Image.ASSETS).map(item =>
          renderItem(item, {primaryColor:"#BF7703", secondaryColor:"#F2E6D3"})
        )
      }
    </IconGallery>
  </Story>
</Canvas>

# Image Props
<ArgsTable of={ImageBase} />

